> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/exoclick-docs/general-responsive-display-ads.md).

# Responsive Display Ads (RDA)

The Responsive Display Ads (RDA) are a combination of visual and textual elements that can be used as an alternative for our standard ads. These ads automatically adjust their size, appearance and format to fit the allocated ad space. This is a great source for digital marketers to run their ad campaigns. Publishers can enable this setting to optimize the performance of ad zones with increased ad inventory for both desktop and mobile formats.

![Responsive Display Ads](https://content.gitbook.com/content/FueMjjtWG3dON1cRyiko/blobs/hAFvUekUKZTi6RinRvne/assets/hires/rda_ad.png)

![Responsive Display Ads](https://content.gitbook.com/content/FueMjjtWG3dON1cRyiko/blobs/e1B1iUeBQDpAfyuw7LLh/assets/hires/rda_ad2.png)

![Responsive Display Ads](https://content.gitbook.com/content/FueMjjtWG3dON1cRyiko/blobs/VfRPGtdAc4cnjm660qtA/assets/hires/rda_ad3.png)

## Details

### Advertisers

As an Advertiser, while creating a **Native Ad** campaign, there is a **Responsive Display Ads** checkbox on [step 1](/advertisers/campaigns/creating-a-campaign/create-campaign-step1.md) of campaign setup:

![Responsive Display Ads](https://content.gitbook.com/content/FueMjjtWG3dON1cRyiko/blobs/nG2Gl5XCMs7T0r7gImJt/assets/hires/step5-rda2.png)

Checking this box will extend the reach of your campaign to include zones that are enabled for Responsive Display Ads, essentially using content from your Native campaign to be responsively displayed within the allocated zone.

This checkbox is enabled in all Native campaigns by default.

### Publishers

As a Publisher, you will see a button called **Responsive Display Ads** in the zone settings from the following formats:

* **Banner / Mobile Banner**:

  ![Responsive Display Ads 1](https://content.gitbook.com/content/FueMjjtWG3dON1cRyiko/blobs/voYXAGyLDoflWQ7P2RfZ/assets/hires/bannerrda.png)
* **Instant Message / Mobile Instant Message**:

  ![Responsive Display Ads 2](https://content.gitbook.com/content/FueMjjtWG3dON1cRyiko/blobs/MILEskfjiVZ1oLmGVrW4/assets/hires/imrda.png)
* **Sticky Banner**:

  ![Responsive Display Ads 3](https://content.gitbook.com/content/FueMjjtWG3dON1cRyiko/blobs/32sAwdGuqjPmZGG5QdzJ/assets/hires/stickyrda.png)
* **FullPage Interstitial / Mobile FullPage Interstitial**:

  ![Responsive Display Ads 4](https://content.gitbook.com/content/FueMjjtWG3dON1cRyiko/blobs/ZqO4Nm8JsILLZcb4vSVl/assets/hires/fpirda.png)

Switching on this button opens up these zones to demand from Native Ad campaigns. These campaigns are then added to the bidding auction for these zones. The content from winning Native campaigns is then served to responsively display within the allocated zone.

This button is switched on in all these zones by default.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/exoclick-docs/general-responsive-display-ads.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
